<?php

use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('siswa', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(User::class)->unique();
            $table->string('nama');
            $table->bigInteger('nik')->unique()->nullable();
            $table->date("tgl_lahir")->nullable();
            $table->string("jenkel")->nullable();
            $table->string('alamat')->nullable();
            $table->string('agama')->nullable();
            $table->string('jenjang')->nullable();
            $table->string('nama_ortu')->nullable();
            $table->string('no_telp')->nullable();
            $table->string('kerja_ortu')->nullable();
            $table->string('level')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('created_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('siswa');
    }
};
